@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Lexend+Giga:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lexend+Deca:wght@100..900&display=swap');

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(30px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


@media (max-width: 768px) {
    body {
        flex-direction: column;
    }
    
    .container {
        width: 100%;
    }

    input {
        width: 100%;
    }

    #btn1 {
        width: 100%;
    }

    .video-background video {
        width: auto;
        height: 100%;
    }
}


@media (min-width: 768px) {
    input:hover {
        width: 30%;
        padding: 5px;
    }
}

body { 
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
} 


.container {
    min-width: 280px;
    max-width: 1000px;
    color: white;
    padding: 10px;
    border-radius: 5px;
    opacity: 1;
    animation: fadeInUp 0.8s ease-out;
}

.container2 {
    margin-bottom: 10px;
}

.video-background {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
    z-index: -1;
    overflow: hidden;
}

.video-background video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: zoomVideo 10s infinite alternate;
}

#btn1 {
    display: block;
    margin: 0 auto;
    width: 100px;
    margin-bottom: 5px;
    border-radius: 5px;
    transition: tranform 0.2s ease, box-shadow 0.2s ease;
    transition: 0.5s;
}


#btn1:hover {
    background-color: var(--cor6);
    color: white;
    border-radius: 10px;
    transform: scale(1.09);
    box-shadow: 0 0 5px rgba(255, 255, 255, 0.3);
    cursor: pointer;
}

#btn1:active {
    transform: scale(0.95);
}


input {
    width: 150px;
    border-radius: 5px;
    border: none;
    padding: 2px;
    transition: all 0.3s ease;
    transition: 0.5s;
}

input:focus {
    outline: none;
    padding: 5px;
    border: 2px solid #00ffcc;
    box-shadow: 0 0 8px rgba(255,255,255,0.5);
}


a {
    font-family: "Lexend Giga", sans-serif;
    font-optical-sizing: auto;
    text-decoration: none;
    color: white;
}

a:hover {
    text-decoration: underline red;
}

.erro {
    color: red;
    font-weight: bold;
}

.sucesso {
    color: green;
    font-weight: bold;
}


h1 {
  font-family: "Lexend Giga", sans-serif;
  font-optical-sizing: auto;
}


p {
  font-family: "Lexend Deca", sans-serif;
  font-optical-sizing: auto;
}


#idade {
    width: 154px;
}


.link {
    margin-top: 15px;
}